Bug 481440 - Suspend no more working with RHEL5.3
Suspend no more working with RHEL5.3
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pm-utils (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 17:08 EST by Jérôme Fenal
Modified: 2012-03-06 04:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 04:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pb with pm-suspend, strace of the command (241.68 KB, text/x-log)
2009-01-29 04:31 EST, Christophe PAGES
no flags Details

  None (edit)
Description Jérôme Fenal 2009-01-24 17:08:48 EST
Description of problem:

Suspend via Fn+F4 used to work quite nicely on IBM Thinkpad x32, same with pm-suspend, up to kernel-2.6.18-92.1.22.el5.
Since update to RHEL 5.3 kernel-2.6.18-128.el5, this does not work anymore, using either method.
No message in /var/log/message nor dmesg... :(

Version-Release number of selected component (if applicable):

RHEL 5.3
kernel-2.6.18-128.el5


How reproducible:

Always.

Steps to Reproduce:
1. Test suspend on x32, works.
2. Update the x32 to RHEL 5.3 (used Satellite for that matter)
3. Test suspend. 
  
Actual results:

Suspend does not work.

Expected results:

Suspend works.

Additional info:

Machine can be made available in Red Hat internal network for test purposes.
Comment 1 Matthew Garrett 2009-01-27 18:08:32 EST
Can you describe what happens when you attempt to suspend?
Comment 2 Jérôme Fenal 2009-01-27 18:25:02 EST
Basically : nothing. No message, no dmesg, no nothing.
If you have some systemtap script or something else to diagnose this, I'd be happy to run it.

Seems it's also the case on Dell D620. Christophe Pages (cpages@r.c) will let you know tomorrow.
Comment 3 Christophe PAGES 2009-01-29 04:31:02 EST
Created attachment 330338 [details]
Pb with pm-suspend, strace of the command

Hi, I have the same problem as Jerome Fenal (jfenal). The suspend starts and come back. I have in RHEL5.3 and this problem appears only since my migration since last week.
I attached the strace of the pm-suspend
Thanks or your help.
Chistophe.
Comment 4 Matthew Garrett 2009-02-16 19:31:23 EST
Based on the strace log, the script never seems to be writing anything to /sys/power/state. I'm reassigning this to pm-utils to try to figure out why...
Comment 5 Phil Knirsch 2009-02-19 08:45:27 EST
Strange. I've just tried it on my D620 and it works flawlessly using the pm-suspend script and via the Gnome menus

kernel-2.6.18-128.el5
pm-utils-0.99.3-10.el5
glibc-2.5-34

Can you list what's in /sys/power please?

And an output of free would be useful as well.

Thanks & regards, Phil
Comment 6 Jérôme Fenal 2009-03-15 18:40:53 EDT
Hi,

tried to reproduce the problem which was reproducible (using pm-suspend).
However, it now works, don't ask why.
One glitch is that the RHEL5.3 made change ACPI button namings. Changing names in /etc/acpi.d made the whole stuff work as before, using ibm hotkey names.

Christophe, is the problem the same for you ?
Comment 7 Phil Knirsch 2009-04-03 11:38:00 EDT
Still no luck for me to reproduce it, so i've set it to NEEDINFO to Christophe.

Thaanks & regards, Phil
Comment 8 William 2009-05-25 10:00:27 EDT
Phil

(In reply to comment #7)
> Still no luck for me to reproduce it, so i've set it to NEEDINFO to Christophe.
> 
> Thaanks & regards, Phil  

I have a Dell D620 and have the same problem as discussed above. I have been using fedora 9 for over six month till last weekend but one when I migrated to RHEL 5.3. Since then, I have not been able to suspend and get back to the system successfully.  In short, I am reasonably certain its not hardware.

Now, since I do not intend to migrate back to fedora - too painful - how can I assist on this regard? In another word, what information are you looking for?


William
Comment 9 Phil Knirsch 2009-05-25 10:42:41 EDT
Could you attach the output of a 

lspci -v

please? Maybe it's because of some different hardware that was used in the same models.

Thanks & regards, Phil
Comment 10 William 2009-05-25 11:17:58 EDT
[root@mrkl07 william]# /sbin/lspci -v
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, fast devsel, latency 0, IRQ 169
        Memory at eff00000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at eff8 [size=8]
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Memory at efec0000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: [90] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
        Capabilities: [d0] Power Management version 2

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, fast devsel, latency 0
        Memory at eff80000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 2

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, fast devsel, latency 0, IRQ 233
        Memory at efebc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [130] Unknown (5)

00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=0
        Memory behind bridge: efd00000-efdfffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=09, subordinate=09, sec-latency=0
        Memory behind bridge: efc00000-efcfffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, medium devsel, latency 0, IRQ 225
        I/O ports at bf80 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, medium devsel, latency 0, IRQ 233
        I/O ports at bf60 [size=32]

00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, medium devsel, latency 0, IRQ 50
        I/O ports at bf40 [size=32]

00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01) (prog-if 00 [UHCI])
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, medium devsel, latency 0, IRQ 58
        I/O ports at bf20 [size=32]

00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01) (prog-if 20 [EHCI])
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, medium devsel, latency 0, IRQ 225
        Memory at ffa80000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1) (prog-if 01 [Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=07, sec-latency=32
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: 52000000-54ffffff
        Prefetchable memory behind bridge: 0000000050000000-0000000051f00000
        Capabilities: [50] #0d [0000]

00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01) (prog-if 80 [Master])
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 177
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at bfa0 [size=16]
        Capabilities: [70] Power Management version 2

00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
        Subsystem: Dell Unknown device 01c2
        Flags: medium devsel, IRQ 177
        I/O ports at 10c0 [size=32]

03:01.0 CardBus bridge: O2 Micro, Inc. OZ601/6912/711E0 CardBus/SmartCardBus Controller (rev 40)
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, stepping, slow devsel, latency 168, IRQ 185
        Memory at 54000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=03, secondary=04, subordinate=07, sec-latency=176
        Memory window 0: 50000000-51fff000 (prefetchable)
        Memory window 1: 52000000-53fff000
        I/O window 0: 00002000-000020ff
        I/O window 1: 00002400-000024ff
        16-bit legacy interface ports at 0001

09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express (rev 02)
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, fast devsel, latency 0, IRQ 66
        Memory at efcf0000 (64-bit, non-prefetchable) [size=64K]
        Expansion ROM at <ignored> [disabled]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/3 Enable+
        Capabilities: [d0] Express Endpoint IRQ 0
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [13c] Virtual Channel

0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
        Subsystem: Intel Corporation Unknown device 1020
        Flags: fast devsel, IRQ 177
        Memory at efdff000 (32-bit, non-prefetchable) [disabled] [size=4K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [e0] Express Legacy Endpoint IRQ 0
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number 58-35-18-ff-ff-de-18-00




kernel-2.6.18-128.1.10.el5
pm-utils-0.99.3-10.el5
glibc-2.5-34
Comment 13 Jaroslav Škarvada 2010-12-16 10:02:52 EST
It was reported against 5.3. Does the problem still persists in 5.5?
Comment 14 Jérôme Fenal 2010-12-17 04:53:55 EST
While I still have the x32 at hand, it is now EOL'd, and I'm not sure you want to lose time on it.

I can nevertheless reinstall it with RHEL5.5 to check this.
Comment 15 Jaroslav Škarvada 2010-12-17 06:09:28 EST
Thanks for info. If possible please retry with 5.5.
Comment 17 Jaroslav Škarvada 2012-03-06 04:39:47 EST
I was unable to reproduce. According to previous comments (namely comments 6, 7,  14) I am closing this as cantfix.

Note You need to log in before you can comment on or make changes to this bug.